Loading...
Searching...
No Matches
SmartsWrite.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::SmartsWrite

## Functions

RDKIT_SMILESPARSE_EXPORT std::string | RDKit::SmartsWrite::GetAtomSmarts (const Atom *qatom)
| returns the SMARTS for an Atom
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::SmartsWrite::GetBondSmarts (const Bond *qbond, int atomToLeftIdx=-1)
| returns the SMARTS for a Bond
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::MolToSmarts (const ROMol &mol, bool doIsomericSmarts=true, int rootedAtAtom=-1)
| returns the SMARTS for a molecule
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::MolFragmentToSmarts (const ROMol &mol, const std::vector< int > &atomsToUse, const std::vector< int > *bondsToUse=nullptr, bool doIsomericSmarts=true)
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::MolToCXSmarts (const ROMol &mol, bool doIsomericSmarts=true)
| returns the CXSMARTS for a molecule
RDKIT_SMILESPARSE_EXPORT std::string | RDKit::MolFragmentToCXSmarts (const ROMol &mol, const std::vector< int > &atomsToUse, const std::vector< int > *bondsToUse=nullptr, bool doIsomericSmarts=true)